﻿using System.Collections.Generic;

namespace IRCStates
{
    public class ChannelUser
    {
        public ChannelUser()
        {
            Modes = new List<string>();
        }

        public List<string> Modes { get; set; }

        protected bool Equals(ChannelUser other)
        {
            return other != null && Equals(Modes, other.Modes);
        }

        public override bool Equals(object obj)
        {
            if (ReferenceEquals(null, obj)) return false;
            if (ReferenceEquals(this, obj)) return true;
            if (obj.GetType() != GetType()) return false;
            return Equals((ChannelUser) obj);
        }

        public override int GetHashCode()
        {
            return Modes != null ? Modes.GetHashCode() : 0;
        }
    }
}
