﻿using System.Collections.Generic;
using System.Globalization;
using System.Linq;

namespace IRCStates
{
    public class ISupportChanModes
    {
        public ISupportChanModes(string splitVal)
        {
            if (splitVal == null) return;

            var split = splitVal.Split(',', 4);
            
            ListModes = new List<string>();
            ListModes.AddRange(split[0].Select(c => c.ToString(CultureInfo.InvariantCulture)));
            
            SettingBModes = new List<string>();
            SettingBModes.AddRange(split[1].Select(c => c.ToString(CultureInfo.InvariantCulture)));
            
            SettingCModes = new List<string>();
            SettingCModes.AddRange(split[2].Select(c => c.ToString(CultureInfo.InvariantCulture)));
            
            SettingDModes = new List<string>();
            SettingDModes.AddRange(split[3].Select(c => c.ToString(CultureInfo.InvariantCulture)));
        }

        public List<string> ListModes { get; set; }
        public List<string> SettingBModes { get; set; }
        public List<string> SettingCModes { get; set; }
        public List<string> SettingDModes { get; set; }
    }
}
